diff -x CVS -bru3 ./glibconfig.h.win32 ../glib/glibconfig.h.win32
--- ./glibconfig.h.win32	Tue Oct 27 05:44:44 1998
+++ ../glib/glibconfig.h.win32	Tue Oct 27 06:13:46 1998
@@ -21,6 +21,10 @@
 /* Define if you have the ANSI C header files.  */
 #define STDC_HEADERS 1
 
+/* Define if your processor stores words with the most significant
+   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
+/* #undef WORDS_BIGENDIAN */
+
 /* #undef ENABLE_MEM_CHECK */
 /* #undef ENABLE_MEM_PROFILE */
 
diff -x CVS -bru3 ./gutils.c ../glib/gutils.c
--- ./gutils.c	Tue Oct 27 05:44:46 1998
+++ ../glib/gutils.c	Tue Oct 27 06:11:34 1998
@@ -322,15 +322,17 @@
 gchar*
 g_getenv (const gchar *variable)
 {
+#ifndef NATIVE_WIN32
   g_return_val_if_fail (variable != NULL, NULL);
 
-#ifndef NATIVE_WIN32
   return getenv (variable);
 #else
   gchar *v;
   guint l, k;
   gchar *p;
   
+  g_return_val_if_fail (variable != NULL, NULL);
+
   v = getenv (variable);
   if (!v)
     return NULL;
diff -x CVS -bru3 ./makefile.msc ../glib/makefile.msc
--- ./makefile.msc	Tue Oct 27 05:44:46 1998
+++ ../glib/makefile.msc	Tue Oct 27 06:05:00 1998
@@ -63,7 +63,7 @@
 	gmodule.obj
 
 gmodule-$(GLIB_VER).dll : $(gmodule_OBJECTS)
-	$(CC) $(CFLAGS) -MD -LD -Fegmodule-$(GLIB_VER).dll $(gmodule_OBJECTS) glib-$(GLIB_VER).lib $(LDFLAGS) /def:gmodule.def
+	$(CC) $(CFLAGS) -MD -LD -Fegmodule-$(GLIB_VER).dll $(gmodule_OBJECTS) glib-$(GLIB_VER).lib $(LDFLAGS) /def:gmodule\gmodule.def
 
 gmodule.obj : gmodule\gmodule.c gmodule\gmodule-win32.c
 	$(CC) $(CFLAGS) -Igmodule -c -DG_LIB_DOMAIN=g_log_domain_gmodule gmodule\gmodule.c
